org.apache.sling.installer.provider.installhook

## Class OsgiInstallerHook

- java.lang.Object
- - org.apache.sling.installer.provider.installhook.OsgiInstallerHook

All Implemented Interfaces:
  org.apache.jackrabbit.vault.packaging.InstallHook

    public class OsgiInstallerHook
    extends Object
    implements org.apache.jackrabbit.vault.packaging.InstallHook

### Field Summary

Fields
`static String` `CONFIG_SUFFIX`
`static int` `DEFAULT_PRIORITY_INSTALL_HOOK`
`static String` `DOT`
`static String` `JAR_SUFFIX`
`static String` `URL_SCHEME`

### Constructor Summary

Constructors
Constructor and Description
`OsgiInstallerHook()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `execute(org.apache.jackrabbit.vault.packaging.InstallContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_PRIORITY_INSTALL_HOOK

    public static final int DEFAULT_PRIORITY_INSTALL_HOOK

See Also:
  Constant Field Values

#### URL_SCHEME

    public static final String URL_SCHEME

See Also:
  Constant Field Values

#### CONFIG_SUFFIX

    public static final String CONFIG_SUFFIX

See Also:
  Constant Field Values

#### JAR_SUFFIX

    public static final String JAR_SUFFIX

See Also:
  Constant Field Values

#### DOT

    public static final String DOT

See Also:
  Constant Field Values

### Constructor Detail

#### OsgiInstallerHook

    public OsgiInstallerHook()

### Method Detail

#### execute

    public void execute(org.apache.jackrabbit.vault.packaging.InstallContext context)
                 throws org.apache.jackrabbit.vault.packaging.PackageException

Specified by:
  `execute` in interface `org.apache.jackrabbit.vault.packaging.InstallHook`
Throws:
  `org.apache.jackrabbit.vault.packaging.PackageException`